Summary:	Tools needed to create Texinfo format documentation files.
Name:		texinfo
Group:		Applications/Publishing
License:	GPL
Version:	4.8
Release:	1
Source0:	ftp://ftp.gnu.org/gnu/texinfo/texinfo-%{version}.tar.bz2
Source1:	info-dir
Patch0:		texinfo-4.7-zlib-gd-1.diff
BuildRoot:	%{_tmppath}/%{name}-%{release}-root

%description
Texinfo is a documentation system that can produce both online
information and printed output from a single source file.  The GNU
Project uses the Texinfo file format for most of its documentation.

%files -f %{name}.lang
  %defattr(-,root,root)
  %doc AUTHORS ChangeLog INSTALL INTRODUCTION NEWS README TODO
  %doc info/README
  %doc %{_infodir}/texinfo*
  %doc %{_mandir}/man1/makeinfo.1*
  %doc %{_mandir}/man1/texindex.1*
  %doc %{_mandir}/man1/texi2dvi.1*
  %doc %{_mandir}/man5/texinfo.5*

  %attr(0555,root,root)	%{_bindir}/makeinfo
  %attr(0555,root,root)	%{_bindir}/texi2pdf
  %attr(0555,root,root)	%{_bindir}/texindex
  %attr(0555,root,root)	%{_bindir}/texi2dvi

%package -n info
Summary:	A stand-alone TTY-based reader for GNU texinfo documentation.
Group:		System Environment/Base
Prereq:		bash 

%description -n info
The GNU project uses the texinfo file format for much of its
documentation. The info package provides a standalone TTY-based
browser program for viewing texinfo files.

%files -n info
  %defattr(-,root,root)
  %doc %config(noreplace) %{_infodir}/dir
  %doc %{_infodir}/info.info*
  %doc %{_infodir}/info-stnd.info*
  %doc %{_mandir}/man1/info.1*
  %doc %{_mandir}/man1/infokey.1.*
  %doc %{_mandir}/man1/install-info.1*
  %doc %{_mandir}/man5/info.5*

  %config(noreplace) %verify(not md5 size mtime) %{_sysconfdir}/info-dir

  %attr(0555,root,root)	%{_bindir}/info
  %attr(0555,root,root)	%{_bindir}/infokey
  %attr(0555,root,root)	%{_root_sbindir}/install-info

%prep
%setup -q
%patch0 -p1

%build
  %configure
  make %{?_smp_mflags}
  make -C util LIBS=%{_libdir}/libz.a

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}
  mkdir -p $RPM_BUILD_ROOT/%{_root_sbindir}

  %makeinstall

  pushd $RPM_BUILD_ROOT
    gzip -n -9f .%{_infodir}/*info*
    gzip -n -9f .%{_mandir}/*/*
    install -m644 $RPM_SOURCE_DIR/info-dir .%{_infodir}/dir
    mv -f .%{_bindir}/install-info ./sbin
  popd

  install %{SOURCE1} $RPM_BUILD_ROOT/%{_sysconfdir}/info-dir

  # Remove unpackaged files.
  rm -f $RPM_BUILD_ROOT/%{_datadir}/texinfo/texinfo.{xsl,dtd}
  rm -f $RPM_BUILD_ROOT//usr/share/texinfo/texinfo.cat

  %find_lang %name

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Jun 28 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 4.8, Release 1
  - Initial build for EnGarde Secure Linux 3.0.
